## edu.stanford.nlp.trees.international.french
Class FrenchHeadFinder

    java.lang.Object
      edu.stanford.nlp.trees.AbstractCollinsHeadFinder
          edu.stanford.nlp.trees.international.french.FrenchHeadFinder

All Implemented Interfaces:
  HeadFinder, Serializable

    public class FrenchHeadFinder

extends AbstractCollinsHeadFinder

TODO wsg2010: Compare these head finding rules to those found in Arun Abishek's master's thesis.

Author:
  mcdm
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`defaultRule, nonTerminalInfo, tlp`

Constructor Summary
`FrenchHeadFinder()`
`FrenchHeadFinder(FrenchTreebankLanguagePack tlp)`

Method Summary
`static void` `main(String[] args)` Go through trees and determine their heads and print them.

Methods inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`determineHead, determineHead, determineNonTrivialHead, findMarkedHead, postOperationFix, setCategoriesToAvoid, traverseLocate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrenchHeadFinder

    public FrenchHeadFinder()

### FrenchHeadFinder

    public FrenchHeadFinder(FrenchTreebankLanguagePack tlp)

Method Detail

### main

    public static void main(String[] args)

  Go through trees and determine their heads and print them. Just for debugging.
  Usage: `java edu.stanford.nlp.trees.FrenchHeadFinder treebankFilePath`

  Parameters:
    `args` - The treebankFilePath

Stanford NLP Group